Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 1914)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 1915)
@@ -78,8 +78,7 @@
 		this.se = se;
 		
 		magicstick = new Button(this, SWT.PUSH);
-		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
-				false, false));
+		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, false));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
 		magicstick.setToolTipText(TXMUIMessages.openTheQueryAssistant);
 		magicstick.addSelectionListener(new SelectionListener() {
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 1914)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 1915)
@@ -3,22 +3,22 @@
    <description name="TXM Extensions - RELEASE" url="http://txm.textometrie.org/updates/plugins">
       This update site contains the Release plugins for TXM
    </description>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.1771.jar" id="org.txm.backtomedia.feature" version="1.0.0.1771">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.1906.jar" id="org.txm.backtomedia.feature" version="1.0.0.1906">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.1771.jar" id="org.txm.wordcloud.feature" version="1.0.0.1771">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.1906.jar" id="org.txm.wordcloud.feature" version="1.0.0.1906">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1771.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1771" os="" ws="">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1906.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1906" os="" ws="">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1771.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1771">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1906.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1906">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1771.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1771">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1906.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1906">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.tigersearch.feature_1.0.0.1771.jar" id="org.txm.tigersearch.feature" version="1.0.0.1771">
+   <feature url="features/org.txm.tigersearch.feature_1.0.0.1906.jar" id="org.txm.tigersearch.feature" version="1.0.0.1906">
       <category name="Annotation"/>
    </feature>
    <category-def name="Commands" label="Commands"/>
Index: tmp/org.txm.groovy.core/src/java/ExecJS.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/java/ExecJS.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/java/ExecJS.groovy	(revision 1915)
@@ -0,0 +1,47 @@
+import org.txm.edition.rcp.editors.*
+/*
+script = """sheet.insertRule("#w_a01_390 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_470 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_262 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_289 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_421 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_213 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_166 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_342 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_546 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_589 {background-color:rgba(249,208,208,1.0);}", 1);
+sheet.insertRule("#w_a01_504 {background-color:rgba(249,160,160,1.0);}", 1);
+sheet.insertRule("#w_a01_637 {background-color:rgba(249,208,208,1.0);}", 1);
+*/
+script = """
+
+//alert(sheet.cssRules[0].selectorText);
+//alert(sheet.cssRules[0].style.cssText);
+//alert(sheet.cssRules[0].style.length);
+//alert(sheet.cssRules[0].style.parentRule);
+
+for (var i=0; i < document.styleSheets.length; i++){
+	var styleSheet = document.styleSheets[i];
+	alert(styleSheet.cssRules.length)
+/*	for (var j=0; j < styleSheet.cssRules.length; j++){
+		alert(styleSheet.cssRules[j].style.cssText)
+	}
+*/
+}
+//alert("SHEET="+sheet.cssRules.length)
+//document.head.appendChild(style);
+"""
+/*
+
+ */
+if (!(editor.getClass().getName().equals(")org.txm.edition.rcp.editors.SynopticEditionEditor"))) {
+	println "Editor is not an edition: "+editor+". Use the F12 key binding to run the macro."
+	return
+}
+monitor.syncExec(new Runnable() {
+	public void run() {
+		panel = editor.editionPanels["default"]
+		
+		println "Execute result: "+panel.execute(script)
+}});
+
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1914)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1915)
@@ -186,7 +186,7 @@
 					+"\nvar sheet = null;" //$NON-NLS-1$
 					+"\ntry{" //$NON-NLS-1$
 					+"\n	var style = document.createElement(\"style\");" //$NON-NLS-1$
-					+"\n	style.appendChild(document.createTextNode(\"\"));"//webkit hack //$NON-NLS-1$
+					+"\n	try { style.appendChild(document.createTextNode(\"\")); } catch (e) {};"//webkit hack //$NON-NLS-1$
 					+"\n	document.head.appendChild(style);" //$NON-NLS-1$
 					+"\n	sheet = style.sheet;" //$NON-NLS-1$
 					+"\n} catch(e) {sheet='error'}" //$NON-NLS-1$
@@ -264,7 +264,7 @@
 			@Override
 			public void completed(ProgressEvent event) {
 				
-				//				System.out.println("EditionPanel "+currentEdition.getName()+" reload "+getCurrentPage().getName());
+				//System.out.println("EditionPanel "+currentEdition.getName()+" reload "+getCurrentPage().getName());
 				Object rez = evaluate("return typeof sheet"); //$NON-NLS-1$
 				if ("undefined".equals(rez)) {
 					if (!execute(functions)) { // build the sheet if not present in the HTML DOM //$NON-NLS-1$
@@ -275,6 +275,7 @@
 				// do something before the highlight is done
 				for (ProgressListener pl : beforeHighlighListeners) { pl.completed(event);}
 
+				
 				//System.out.println("highlight: "+highlightedColorPerWordIDS);
 				StringBuilder buffer = new StringBuilder();
 				//buffer.append("alert(\"\"+sheet);\n");
@@ -291,6 +292,8 @@
 						Log.fine("JS execution error (delete cssRules) with="+buffer);
 					}
 				}
+				
+				
 				buffer = new StringBuilder();
 
 				String firstWord = currentPage.getWordId();
@@ -359,6 +362,8 @@
 						Log.fine("JS execution (highlight) error with="+buffer);
 					}
 				}
+				
+				
 				buffer = new StringBuilder();
 
 				//				for (String wordidslist : highlightedColorSpans.keySet()) {
@@ -405,6 +410,8 @@
 						Log.fine("JS execution (color) error with="+buffer);
 					}
 				}
+				
+				
 				buffer = new StringBuilder();
 
 				for (String wordid : fontSizePerWordIDS.keySet()) {
@@ -447,6 +454,8 @@
 						Log.fine("JS execution (font) error with="+buffer);
 					}
 				}
+				
+				
 				buffer = new StringBuilder();
 
 				if (focusedWordID != null) {
@@ -462,6 +471,8 @@
 						Log.fine("JS execution (focus) error with="+buffer);
 					}
 				}
+				
+				
 				buffer = new StringBuilder();
 
 				if (highlightedAreas != null) {
Index: tmp/org.txm.edition.rcp/res/js/functions.js
===================================================================
--- tmp/org.txm.edition.rcp/res/js/functions.js	(revision 1914)
+++ tmp/org.txm.edition.rcp/res/js/functions.js	(revision 1915)
@@ -133,11 +133,11 @@
 var sheet = null;
 try {
 	var style = document.createElement("style");
-	style.appendChild(document.createTextNode(""));
+	try { style.appendChild(document.createTextNode("")); } catch (e) {};
 	document.head.appendChild(style);
 	sheet = style.sheet;
 } catch (e) {
-	sheet = 'error'
+	sheet = 'error';
 }
 
 //try {
